Package wx :: Class Timer

[frames | no frames]

## Type Timer

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                    Timer

Known Subclasses:
  `PyTimer`, `StatusBarTimer`, `TreeFindTimer`, `TreeRenameTimer`

Proxy of C++ Timer class

Method Summary
Timer | `__init__(self, owner, id)`
| `__del__(self)`
| ``Destroy`(self)` NO-OP: Timers must be destroyed by normal reference counting
int | `GetId(self)`
int | `GetInterval(self)`
EvtHandler | `GetOwner(self)`
bool | `IsOneShot(self)`
bool | `IsRunning(self)`
| `Notify(self)`
| `SetOwner(self, owner, id)`
bool | `Start(self, milliseconds, oneShot)`
| `Stop(self)`

Property Summary
| `Id`: See `GetId`
| `Interval`: See `GetInterval`
| `Owner`: See `GetOwner` and `SetOwner`
| `thisown`: The membership flag

Method Details

### Destroy(self)

NO-OP: Timers must be destroyed by normal reference counting

  Overrides:
    `wx.Object.Destroy`

Property Details

### Id

See `GetId`

  Get Method:
    `GetId`(self)

### Interval

See `GetInterval`

  Get Method:
    `GetInterval`(self)

### Owner

See `GetOwner` and `SetOwner`

  Get Method:
    `GetOwner`(self)
  Set Method:
    `SetOwner`(self, owner, id)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net